from django.conf.urls.defaults import *
from settings import MEDIA_ROOT, MEDIA_URL
from blog.feeds import LatestBlogEntries

handler404 = 'generic.views.render_404'

feeds_dict = {
    'blog': LatestBlogEntries,
    }

urlpatterns = patterns('',
    # Example:
    # (r'^sommitrealweird/', include('sommitrealweird.foo.urls')),

    # Uncomment this for admin:
    (r'^$', 'bpcms.views.document_view', {'slug': 'index'}),
    (r'^media/(?P<path>.*)$', 'django.views.static.serve', {'document_root': MEDIA_ROOT, 'show_indexes': True}),
    (r'^admin/', include('django.contrib.admin.urls')),
    (r'^blog/', include('blog.urls')),
    (r'^feeds/(?P<url>.*)/', 'django.contrib.syndication.views.feed', {'feed_dict': feeds_dict}),
    (r'^(?:content/|)(?P<slug>[^/]+)/$', 'bpcms.views.document_view'),
    (r'^(?:content/|)(?P<folders>.*)/(?P<slug>[^/]+)/$', 'bpcms.views.document_view'),
)
